<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>Simple Form</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    </head>
    <body style="background-color: lightgrey;">
        <div id="formSubmit1" class="card mt-4" style="width: 18rem; margin:auto; width: 50%;">
            <div class="card-body">
                <h5 class="card-title">Fill the fields</h5>
                <div class="mb-3">
                <label for="email" class="form-label">Email address</label>
                <input type="email" class="form-control" id="email" placeholder="name@example.com">
                </div>
                <div class="mb-3">
                <label for="password" class="form-label" >Password</label>
                <input type="password" class="form-control" id="password" required pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}">
                </div>

                <label for="sex" class="form-label">Sex </label>
                <select name="sex" id="sex" class="form-control">
                    <option value="Male">Male</option>
                    <option value="Female">Female</option>
                </select>
                <br/>

                <div>
                    <label class="form-label">Role</label>
                    <div style="border: 1px solid lightgrey; padding: 5px; border-radius: 5px;">
                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="flexRadioDefault" id="user" checked>
                            <label class="form-check-label" for="user">
                            User
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input" type="radio" name="flexRadioDefault" id="admin">
                            <label class="form-check-label" for="admin">
                            Admin
                            </label>
                        </div>
                    </div>
                </div>
                <br/>

                <div>
                    <label for="perm" class="form-label">Permissions </label>
                    <div id="permissions" style="border: 1px solid lightgrey; padding: 5px; border-radius: 5px;">
                        <div class="form-check">
                            <input class="form-check-input pp" type="checkbox" value="" id="p1">
                            <label class="form-check-label" for="p1">
                                Perm 1
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input pp" type="checkbox" value="" id="p2">
                            <label class="form-check-label" for="p2">
                                Perm 2
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input pp" type="checkbox" value="" id="p3">
                            <label class="form-check-label" for="p3">
                                Perm 3
                            </label>
                        </div>
                        <div class="form-check">
                            <input class="form-check-input pp" type="checkbox" value="" id="p4">
                            <label class="form-check-label" for="p4">
                                Perm 4
                            </label>
                        </div>
                    </div>
                </div>
                <br/>

                <div class="d-grid gap-2">
                    <button class="btn btn-outline-primary" type="button" onclick="submit()">Submit</button>
                </div>
            </div>
        </div>

        <div id="formSubmit2" class="card mt-4" style="display: none;">
            <div class="card-body">
                <h5 class="card-title">Confirmation</h5>
                <label>Email address : </label>
                <span id="email2" class="form-control"></span>
                <br/>
                <label>Password : </label>
                <span id="password2" class="form-control"></span>
                <br/>
                <label>Sex : </label>
                <span id="sex2" class="form-control"></span>
                <br/>
                <label>Role : </label>
                <span id="role2" class="form-control"></span>
                <br/>
                <label>Permissions : </label>
                <span id="permission2" class="form-control"></span>
                <br/>


                <div class="d-grid gap-2">
                    <button class="btn btn-outline-primary" type="button" onclick="confirmSubmit()">Confirm</button>
                </div>
            </div>
        </div>
        
    <script async defer src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <script>
        const confirmSubmit = () => {
            return alert("Form Succesfully submitted!")
        }
        
        const submit = () => {
            const email = document.getElementById("email").value;
            const password = document.getElementById("password").value;
            const sex = document.getElementById("sex").value;

            const userFlag = document.getElementById("user").checked;
            const permissions = document.querySelectorAll('.pp')
            let emailPattern = /^\w+@[a-zA-Z_]+?\.[a-zA-Z]{2,3}$/; 
            let passwordPattern = /^(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{6,20}$/;
            let permissionCount = 0;

            if(!email || !password || !sex) {
                return alert("Fill all the fields!")
            }

            if(email.match(emailPattern) === null) {
                return alert("Enter a valid Email ID!")
            }

            if(password.match(passwordPattern) === null) {
                return alert("Enter a valid password!")
            }

            const checkPermissionCount = () => {
                for(let i=0; i<permissions.length; i++){
                    if(permissions[i].checked === true) {
                        permissionCount += 1
                    }
                }

                console.log(permissionCount)

                return permissionCount >= 2 ? true : false
            }

            if(!checkPermissionCount()){
                return alert("Select atleast 2 permissions!")
            }

            const displayConfirmForm = () => {
                document.getElementById('formSubmit1').style = 'display: none';

                let emailField = document.getElementById("email2");
                let passwordField = document.getElementById("password2");
                let sexField = document.getElementById("sex2");
                let roleField = document.getElementById("role2");
                let permissionsField = document.getElementById("permission2");

                emailField.innerText = email;
                passwordField.innerText = password;
                sexField.innerText = sex;
                roleField.innerText = userFlag ? 'User' : 'Admin';
                let permissionString = "";

                for(let i=0; i<permissions.length; i++){
                    if(permissions[i].checked){
                        permissionString += `perm${i+1}, `
                    }
                }

                permissionsField.innerText = permissionString.slice(0,permissionString.length-2)
                document.getElementById('formSubmit2').style = 'width: 18rem; margin:auto; width: 50%; display: block;';
            }

            displayConfirmForm();
        }
    </script>
    </body>
</html>